Skip to main content
object

The schema's entry-point for queries. This acts as the public, top-level API from which all queries must start.

•AbandonedCheckoutConnection!
non-null

Returns a list of abandoned checkouts. A checkout is considered abandoned when a customer adds contact information but doesn't complete their purchase. Includes both abandoned and recovered checkouts.

Each checkout provides Customer details, AbandonedCheckoutLineItem objects, pricing information, and a recovery URL for re-engaging customers who didn't complete their purchase.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•AbandonedCheckoutSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time

The date and time (in ISO 8601 format) when the abandoned cart was created.

Anchor to email_state
•string

Filter by abandoned_email_state value. Possible values: sent, not_sent, scheduled and suppressed.

•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to recovery_state
•string

Possible values: recovered and not_recovered.

•string

Possible values: open and closed.

Anchor to updated_at
•time

The date and time (in ISO 8601 format) when the abandoned cart was last updated.

•ID

The ID of a saved search. The search’s query string is used as the query argument.


Anchor to abandonedCheckoutsCountabandonedCheckoutsCount
•Count

Returns the count of abandoned checkouts for the given shop. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time

The date and time (in ISO 8601 format) when the abandoned cart was created.

Anchor to email_state
•string

Filter by abandoned_email_state value. Possible values: sent, not_sent, scheduled and suppressed.

•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to recovery_state
•string

Possible values: recovered and not_recovered.

•string

Possible values: open and closed.

Anchor to updated_at
•time

The date and time (in ISO 8601 format) when the abandoned cart was last updated.

•ID

The ID of an existing saved search. The search’s query string is used as the query argument. Refer to the SavedSearch object.

•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


•Abandonment

Returns a Abandonment resource by ID.

Arguments

•ID!
required

The ID of the Abandonment to return.


Anchor to abandonmentByAbandonedCheckoutIdabandonmentByAbandonedCheckoutId
•Abandonment

Returns an Abandonment by the Abandoned Checkout ID.

Arguments

•ID!
required

The ID of the Abandoned Checkout ID to query by.


•ChannelConnection!
non-null

List of all the active sales channels on this shop.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•App

Retrieves an App by its ID. If no ID is provided, returns details about the currently authenticated app. The query provides access to app details including title, icon, and pricing information.

If the app isn't installed on the current shop, then the installation field will be null.

Arguments

•ID

The ID to lookup the App by.


•App

Retrieves an app by its unique handle. The handle is a URL-friendly identifier for the app.

Returns the App if found, or null if no app exists with the specified handle.

Arguments

•String!
required

Handle of the App.


•App

Retrieves an App by its client ID (API key). Returns the app's configuration, installation status, AccessScope objects, and developer information.

Returns null if no app exists with the specified client ID.

Arguments

•String!
required

Client ID of the app.


•AppCreditConnection!
non-null

Credits that can be used towards future app purchases.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•AppTransactionSortKeys
Default:CREATED_AT

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.


•AppDiscountType

An app discount type.

Arguments

•String!
required

The ID for the function providing the app discount type.


•[AppDiscountType!]!
non-null

A list of app discount types installed by apps.

Anchor to appDiscountTypesNodesappDiscountTypesNodes
•AppDiscountTypeConnection!
non-null

A list of app discount types installed by apps.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•AppInstallation

Retrieves an AppInstallation by ID. If no ID is provided, returns the installation for the currently authenticated App. The query provides essential data for validating installation state and managing app functionality within a store.

Use this query to access installation details including granted AccessScope objects, active AppSubscription objects, AppCredit objects, AppPurchaseOneTime objects, and app-specific metadata.

Learn more about app installation.

Arguments

•ID

ID used to lookup AppInstallation.


•AppInstallationConnection!
non-null

A paginated list of AppInstallation objects across multiple stores where your app is installed. Use this query to monitor installation status, track billing and subscriptions through AppSubscription objects, and review granted AccessScope objects.

Filter by AppInstallationCategory to find specific types of installations (such as POS or channel apps) and by AppInstallationPrivacy to scope to public or private installations.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•AppInstallationSortKeys
Default:INSTALLED_AT

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•AppInstallationCategory

The category of app installations to fetch.

•AppInstallationPrivacy
Default:PUBLIC

The privacy level of app installations to fetch.


•Article

Returns a Article resource by ID.

Arguments

•ID!
required

The ID of the Article to return.


•ArticleAuthorConnection!
non-null

List of article authors for the shop.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•ArticleConnection!
non-null

Returns a paginated list of articles from the shop's blogs. Article objects are blog posts that contain content like text, images, and tags.

Supports cursor-based pagination to control the number of articles returned and their order. Use the query argument to filter results by specific criteria.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•ArticleSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=handle:summer-collection-announcement
•string

Filter by the author of the article.

Anchor to blog_id
•string

Filter by the ID of the blog the article belongs to.

Example:

  • blog_id:1234
  • blog_id:>=1234
  • blog_id:<=1234
Anchor to blog_title
•string
Anchor to created_at
•time

Filter by the date and time when the article was created.

Example:

  • created_at:>'2020-10-21T23:39:20Z'
  • created_at:<now
  • created_at:<=2024
•string

Filter by the article's handle.

Example:

  • handle:summer-collection-announcement
  • handle:how-to-guide
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to published_at
•time

Filter by the date and time when the article was published.

Example:

  • published_at:>'2020-10-21T23:39:20Z'
  • published_at:<now
  • published_at:<=2024
Anchor to published_status
•string

Filter by published status

•string

Filter objects by the tag field.

Example:

  • tag:my_tag
Anchor to tag_not
•string

Filter by objects that don’t have the specified tag.

Example:

  • tag_not:my_tag
•string

Filter by the title of the article.

Example:

  • title:summer-collection
  • title:green hoodie
Anchor to updated_at
•time

Filter by the date and time when the article was last updated.

Example:

  • updated_at:>'2020-10-21T23:39:20Z'
  • updated_at:<now
  • updated_at:<=2024

•[String!]!
non-null

List of all article tags.

Arguments

•ArticleTagSort
Default:ALPHABETICAL

Type of sort order.

•Int!
required

The maximum number of tags to return.


Anchor to assignedFulfillmentOrdersassignedFulfillmentOrders
•FulfillmentOrderConnection!
non-null

The paginated list of fulfillment orders assigned to the shop locations owned by the app.

Assigned fulfillment orders are fulfillment orders that are set to be fulfilled from locations managed by fulfillment services that are registered by the app. One app (api_client) can host multiple fulfillment services on a shop. Each fulfillment service manages a dedicated location on a shop. Assigned fulfillment orders can have associated fulfillment requests, or might currently not be requested to be fulfilled.

The app must have the read_assigned_fulfillment_orders access scope to be able to retrieve the fulfillment orders assigned to its locations.

All assigned fulfillment orders (except those with the CLOSED status) will be returned by default. Perform filtering with the assignmentStatus argument to receive only fulfillment orders that have been requested to be fulfilled.

Arguments

•FulfillmentOrderAssignmentStatus

The assigment status of the fulfillment orders that should be returned. If assignmentStatus argument is not provided, then the query will return all assigned fulfillment orders, except those that have the CLOSED status.

•[ID!]

Returns fulfillment orders only for certain locations, specified by a list of location IDs.

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•FulfillmentOrderSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.


Anchor to automaticDiscountNodeautomaticDiscountNode
•DiscountAutomaticNode

Returns a DiscountAutomaticNode resource by ID.

Arguments

•ID!
required

The ID of the DiscountAutomaticNode to return.


Anchor to automaticDiscountSavedSearchesautomaticDiscountSavedSearches
•SavedSearchConnection!
non-null

List of the shop's automatic discount saved searches.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


Anchor to availableBackupRegionsavailableBackupRegions
•[MarketRegion!]!
non-null

The geographic regions that you can set as the Shop's backup region. The backup region serves as a fallback when the system can't determine a buyer's actual location.

Anchor to availableCarrierServicesavailableCarrierServices
•[DeliveryCarrierServiceAndLocations!]!
non-null

Returns a list of activated carrier services and associated shop locations that support them.

Arguments

Anchor to destinationCountryCodesdestinationCountryCodes
•[CountryCode!]

An array of destination country codes.


•[Locale!]!
non-null

Returns all locales that Shopify supports. Each Locale includes an ISO code and human-readable name. Use this query to discover which locales you can enable on a shop with the shopLocaleEnable mutation.

•MarketRegion!
non-null

The backup region of the shop.

•BalanceAccount

Returns the Balance account information for finance embedded apps.

•Blog

Returns a Blog resource by ID.

Arguments

•ID!
required

The ID of the Blog to return.


•BlogConnection!
non-null

Returns a paginated list of the shop's Blog objects. Blogs serve as containers for Article objects and provide content management capabilities for the store's editorial content.

Supports cursor-based pagination to control the number of blogs returned and their order. Use the query argument to filter results by specific criteria.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•BlogSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time
•string
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string
Anchor to updated_at
•time

•Count

Count of blogs. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time
•string
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string
Anchor to updated_at
•time
•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


•BulkOperation

Returns a BulkOperation resource by ID.

Arguments

•ID!
required

The ID of the BulkOperation to return.


•BulkOperationConnection!
non-null

Returns the app's bulk operations meeting the specified filters. Defaults to sorting by created_at, with newest operations first.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•BulkOperationsSortKeys
Default:CREATED_AT

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to created_at
•time

Filter operations created after a specific date.

•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to operation_type
•string

Filter operations by type.

Valid values:

  • query
  • mutation
•string

Filter operations by status.

Valid values:

  • canceled
  • canceling
  • completed
  • created
  • failed
  • running

•Int!
non-null

Returns the number of bundle products that have been created by the current app.

•[BusinessEntity!]!
non-null

Returns the list of business entities associated with the shop. Use this query to retrieve business entities for assigning to markets, managing payment providers per entity, or viewing entity attribution on orders.

Each shop can have multiple business entities with one designated as primary. To identify the primary entity in the query results, set the primary field to true.

Learn more about managing multiple legal entities.

•BusinessEntity

Returns a Business Entity by ID.

Arguments

•ID

The ID of the Business Entity to return. Returns the primary Business Entity if not provided.


•DeliveryCarrierService

Returns a DeliveryCarrierService resource by ID.

Arguments

•ID!
required

The ID of the DeliveryCarrierService to return.


•DeliveryCarrierServiceConnection!
non-null

A paginated list of carrier services configured for the shop. Carrier services provide real-time shipping rates from external providers like FedEx, UPS, or custom shipping solutions. Use the query parameter to filter results by attributes such as active status.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CarrierServiceSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

•boolean
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234

•CartTransformConnection!
non-null

Retrieves all cart transform functions currently deployed by your app within the merchant's store. This query provides comprehensive access to your active cart modification logic, enabling management and monitoring of bundling and merchandising features.

The query returns paginated results with full cart transform details, including function IDs, configuration settings, and operational status.

Cart Transform ownership is scoped to your API client, ensuring you only see and manage functions deployed by your specific app. This isolation prevents conflicts between different apps while maintaining security boundaries for sensitive merchandising logic.

Learn more about managing cart transforms.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•CashTrackingSession

Returns a CashTrackingSession resource by ID.

Arguments

•ID!
required

The ID of the CashTrackingSession to return.


Anchor to cashTrackingSessionscashTrackingSessions
•CashTrackingSessionConnection!
non-null

Returns a shop's cash tracking sessions for locations with a POS Pro subscription.

Tip: To query for cash tracking sessions in bulk, you can perform a bulk operation.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CashTrackingSessionsSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to closing_time
•time
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to location_id
•id
Anchor to opening_time
•time
Anchor to point_of_sale_device_ids
•string
•string

•Catalog

Retrieves a catalog by its ID. A catalog represents a list of products with publishing and pricing information, and can be associated with a context, such as a market, company location, or app.

Use the catalog query to retrieve information associated with the following workflows:

  • Managing product publications across different contexts
  • Setting up contextual pricing with price lists
  • Managing market-specific product availability
  • Configuring B2B customer catalogs

There are several types of catalogs:

Learn more about catalogs for different markets.

Arguments

•ID!
required

The ID of the Catalog to return.


•[ResourceOperation!]!
non-null

Returns the most recent catalog operations for the shop.

•CatalogConnection!
non-null

Returns a paginated list of catalogs for the shop. Catalogs control which products are published and how they're priced in different contexts, such as international markets (Canada vs. United States), B2B company locations (different branches of the same business), or specific sales channels (such as online store vs. POS).

Filter catalogs by type and use the query argument to search and filter by additional criteria.

Learn more about Shopify Catalogs.

Arguments

•CatalogType
Default:null

The type of the catalogs to be returned.

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CatalogSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•id
Anchor to company_id
•id
Anchor to company_location_id
•id
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to managed_country_id
•id
Anchor to market_id
•id
•string
•string

•Count

The count of catalogs belonging to the shop. Limited to a maximum of 10000 by default.

Arguments

•CatalogType
Default:null

The type of the catalogs to be returned.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•id
Anchor to company_id
•id
Anchor to company_location_id
•id
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to managed_country_id
•id
Anchor to market_id
•id
•string
•string
•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


•Channel

Returns a Channel resource by ID.

Arguments

•ID!
required

The ID of the Channel to return.


•ChannelConnection!
non-null

Returns active channels where merchants sell products and collections. Each channel is an authenticated link to an external platform such as marketplaces, social media platforms, online stores, or point-of-sale systems.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


Anchor to checkoutAndAccountsAppConfigurationcheckoutAndAccountsAppConfiguration
•CheckoutAndAccountsAppConfiguration

Returns the checkout and accounts app configuration for the current API client and shop.

•CheckoutBranding

Returns the visual customizations for checkout for a given checkout profile.

To update checkout branding settings, use the checkoutBrandingUpsert mutation. Learn more about customizing checkout's appearance.

Arguments

•ID!
required

A globally-unique identifier.


•CheckoutProfile

Returns a CheckoutProfile. Checkout profiles define the branding settings and UI extensions for a store's checkout experience. Stores can have one published profile that renders on their live checkout and multiple draft profiles for testing customizations in the checkout editor.

Arguments

•ID!
required

The ID of the checkout profile.


•CheckoutProfileConnection!
non-null

List of checkout profiles on a shop.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CheckoutProfileSortKeys
Default:UPDATED_AT

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to is_published
•boolean

•DiscountCodeNode

Returns a code discount resource by ID.

Arguments

•ID!
required

The ID of the DiscountCodeNode to return.


Anchor to codeDiscountNodeByCodecodeDiscountNodeByCode
•DiscountCodeNode

Retrieves a code discount by its discount code. The search is case-insensitive, enabling you to find discounts regardless of how customers enter the code.

Returns a DiscountCodeNode that contains the underlying discount details, which could be a basic amount off discount, a "Buy X Get Y" (BXGY) discount, a free shipping discount, or an app-provided discount.

Learn more about working with Shopify's discount model.

Arguments

•String!
required

The case-insensitive code of the DiscountCodeNode to return.


Anchor to codeDiscountSavedSearchescodeDiscountSavedSearches
•SavedSearchConnection!
non-null

List of the shop's code discount saved searches.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•Collection

Retrieves a collection by its ID. A collection represents a grouping of products that merchants can display and sell as a group in their online store and other sales channels.

Use the collection query when you need to:

  • Manage collection publishing across sales channels
  • Access collection metadata and SEO information
  • Work with collection rules and product relationships

A collection can be either a custom (manual) collection where products are manually added, or a smart (automated) collection where products are automatically included based on defined rules. Each collection has associated metadata including title, description, handle, image, and metafields.

Arguments

•ID!
required

The ID of the Collection to return.


Anchor to collectionByIdentifiercollectionByIdentifier
•Collection

Return a collection by an identifier.

Arguments

•CollectionIdentifierInput!
required

The identifier of the collection.


Anchor to collectionRulesConditionscollectionRulesConditions
•[CollectionRuleConditions!]!
non-null

Lists all rules that can be used to create smart collections.

•CollectionConnection!
non-null

Retrieves a list of collections in a store. Collections are groups of products that merchants can organize for display in their online store and other sales channels. For example, an athletics store might create different collections for running attire, shoes, and accessories.

Use the collections query when you need to:

  • Build a browsing interface for a store's product groupings.
  • Create collection searching, sorting, and filtering experiences (for example, by title, type, or published status).
  • Sync collection data with external systems.
  • Manage both custom (manual) and smart (automated) collections.

The collections query supports pagination for large catalogs and saved searches for frequently used collection queries.

The collections query returns collections with their associated metadata, including:

  • Basic collection information (title, description, handle, and type)
  • Collection image and SEO metadata
  • Product count and product relationships
  • Collection rules (for smart collections)
  • Publishing status and publication details
  • Metafields and custom attributes

Learn more about using metafields with smart collections.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CollectionSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to collection_type
•string

Valid values:

  • custom
  • smart
•string
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to product_id
•id

Filter by collections containing a product by its ID.

Anchor to product_publication_status
•string

Filter by channel approval process status of the resource on a channel, such as the online store. The value is a composite of the channel app ID (Channel.app.id) and one of the valid values. For simple visibility checks, use published_status instead.

Valid values:

  • * {channel_app_id}-approved
  • * {channel_app_id}-rejected
  • * {channel_app_id}-needs_action
  • * {channel_app_id}-awaiting_review
  • * {channel_app_id}-published
  • * {channel_app_id}-demoted
  • * {channel_app_id}-scheduled
  • * {channel_app_id}-provisionally_published

Example:

  • product_publication_status:189769876-approved
Anchor to publishable_status
•string

Deprecated: This parameter is deprecated as of 2025-12 and will be removed in a future API version. Use published_status for visibility checks. Filter by the publishable status of the resource on a channel. The value is a composite of the channel app ID (Channel.app.id) and one of the valid status values.

Valid values:

  • * {channel_app_id}-unset
  • * {channel_app_id}-pending
  • * {channel_app_id}-approved
  • * {channel_app_id}-not_approved

Example:

  • publishable_status:580111-unset
  • publishable_status:580111-pending
Anchor to published_at
•time

Filter by the date and time when the collection was published to the Online Store.

Anchor to published_status
•string

Filter resources by their visibility and publication state on a channel. Online store channel filtering: - online_store_channel: Returns all resources in the online store channel, regardless of publication status. - published/visible: Returns resources that are published to the online store. - unpublished: Returns resources that are not published to the online store. Channel-specific filtering using the channel app ID (Channel.app.id) with suffixes: - {channel_app_id}-published: Returns resources published to the specified channel. - {channel_app_id}-visible: Same as {channel_app_id}-published (kept for backwards compatibility). - {channel_app_id}-intended: Returns resources added to the channel but not yet published. - {channel_app_id}-hidden: Returns resources not added to the channel or not published. Other: - unavailable: Returns resources not published to any channel.

Valid values:

  • online_store_channel
  • published
  • visible
  • unpublished
  • * {channel_app_id}-published
  • * {channel_app_id}-visible
  • * {channel_app_id}-intended
  • * {channel_app_id}-hidden
  • unavailable

Example:

  • published_status:online_store_channel
  • published_status:published
  • published_status:580111-published
  • published_status:580111-hidden
  • published_status:unavailable
•string
Anchor to updated_at
•time
•ID

The ID of a saved search. The search’s query string is used as the query argument.


Anchor to collectionSavedSearchescollectionSavedSearches
•SavedSearchConnection!
non-null

Returns a list of the shop's collection saved searches.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•Count

Count of collections. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to collection_type
•string

Valid values:

  • custom
  • smart
•string
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to product_id
•id

Filter by collections containing a product by its ID.

Anchor to product_publication_status
•string

Filter by channel approval process status of the resource on a channel, such as the online store. The value is a composite of the channel app ID (Channel.app.id) and one of the valid values. For simple visibility checks, use published_status instead.

Valid values:

  • * {channel_app_id}-approved
  • * {channel_app_id}-rejected
  • * {channel_app_id}-needs_action
  • * {channel_app_id}-awaiting_review
  • * {channel_app_id}-published
  • * {channel_app_id}-demoted
  • * {channel_app_id}-scheduled
  • * {channel_app_id}-provisionally_published

Example:

  • product_publication_status:189769876-approved
Anchor to publishable_status
•string

Deprecated: This parameter is deprecated as of 2025-12 and will be removed in a future API version. Use published_status for visibility checks. Filter by the publishable status of the resource on a channel. The value is a composite of the channel app ID (Channel.app.id) and one of the valid status values.

Valid values:

  • * {channel_app_id}-unset
  • * {channel_app_id}-pending
  • * {channel_app_id}-approved
  • * {channel_app_id}-not_approved

Example:

  • publishable_status:580111-unset
  • publishable_status:580111-pending
Anchor to published_at
•time

Filter by the date and time when the collection was published to the Online Store.

Anchor to published_status
•string

Filter resources by their visibility and publication state on a channel. Online store channel filtering: - online_store_channel: Returns all resources in the online store channel, regardless of publication status. - published/visible: Returns resources that are published to the online store. - unpublished: Returns resources that are not published to the online store. Channel-specific filtering using the channel app ID (Channel.app.id) with suffixes: - {channel_app_id}-published: Returns resources published to the specified channel. - {channel_app_id}-visible: Same as {channel_app_id}-published (kept for backwards compatibility). - {channel_app_id}-intended: Returns resources added to the channel but not yet published. - {channel_app_id}-hidden: Returns resources not added to the channel or not published. Other: - unavailable: Returns resources not published to any channel.

Valid values:

  • online_store_channel
  • published
  • visible
  • unpublished
  • * {channel_app_id}-published
  • * {channel_app_id}-visible
  • * {channel_app_id}-intended
  • * {channel_app_id}-hidden
  • unavailable

Example:

  • published_status:online_store_channel
  • published_status:published
  • published_status:580111-published
  • published_status:580111-hidden
  • published_status:unavailable
•string
Anchor to updated_at
•time
•ID

The ID of an existing saved search. The search’s query string is used as the query argument. Refer to the SavedSearch object.

•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


•Comment

Returns a Comment resource by ID.

Arguments

•ID!
required

The ID of the Comment to return.


•CommentConnection!
non-null

List of the shop's comments.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CommentSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time

Filter by the date and time when the comment was created.

Example:

  • created_at:>'2020-10-21T23:39:20Z'
  • created_at:<now
  • created_at:<=2024
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to published_at
•time

Filter by the date and time when the comment was published.

Example:

  • published_at:>'2020-10-21T23:39:20Z'
  • published_at:<now
  • published_at:<=2024
Anchor to published_status
•string

Filter by published status

Valid values:

  • any
  • published
  • unpublished

Example:

  • published_status:any
  • published_status:published
  • published_status:unpublished
•string
Anchor to updated_at
•time

Filter by the date and time when the comment was last updated.

Example:

  • updated_at:>'2020-10-21T23:39:20Z'
  • updated_at:<now
  • updated_at:<=2024

•CompanyConnection!
non-null

A paginated list of companies in the shop. Company objects are business entities that purchase from the merchant.

Use the query argument to filter companies by attributes like name or externalId. Sort and paginate results to handle large datasets efficiently. Learn more about Shopify API search syntax.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CompanySortKeys
Default:ID

Sort the underlying list by the given key.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to active_customers_count
•integer
Anchor to created_at
•time
Anchor to external_id
•id
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to metafields.{namespace}.{key}
•mixed

Filters resources by metafield value. Format: metafields.{namespace}.{key}:{value}. Learn more about querying by metafield value.

Example:

  • metafields.custom.on_sale:true
  • metafields.product.material:"gid://shopify/Metaobject/43458085"
•string
Anchor to since_date
•time
Anchor to updated_at
•time

•Count

The number of companies for a shop. Limited to a maximum of 10000 by default.

Arguments

•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


•Company

Returns a Company resource by ID.

Arguments

•ID!
required

The ID of the Company to return.


•CompanyContact

Returns a CompanyContact resource by ID.

Arguments

•ID!
required

The ID of the CompanyContact to return.


•CompanyContactRole

Returns a CompanyContactRole resource by ID.

Arguments

•ID!
required

The ID of the CompanyContactRole to return.


•CompanyLocation

Returns a CompanyLocation resource by ID.

Arguments

•ID!
required

The ID of the CompanyLocation to return.


•CompanyLocationConnection!
non-null

A paginated list of CompanyLocation objects for B2B customers. Company locations represent individual branches or offices of a Company where B2B orders can be placed.

Each location can have its own billing and shipping addresses, tax settings, PaymentTerms, and Catalog assignments with custom pricing. Use the query parameter to search locations by name or other attributes.

Learn more about managing company locations.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CompanyLocationSortKeys
Default:ID

Sort the underlying list by the given key.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to company_id
•id
Anchor to created_at
•time
Anchor to external_id
•string
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string
Anchor to metafields.{namespace}.{key}
•mixed

Filters resources by metafield value. Format: metafields.{namespace}.{key}:{value}. Learn more about querying by metafield value.

Example:

  • metafields.custom.on_sale:true
  • metafields.product.material:"gid://shopify/Metaobject/43458085"
•string
Anchor to updated_at
•time

•[ConsentPolicy!]!
non-null

Returns the customer privacy consent policies of a shop.

Arguments

•ID

Return the policy with the provided ID.

•PrivacyCountryCode

Return policies with the provided country code.

•String

Return policies with the provided region code.

•Boolean

Return policies where consent is required or not.

Anchor to dataSaleOptOutRequireddataSaleOptOutRequired
•Boolean

Return policies where data sale opt out is required or not.


Anchor to consentPolicyRegionsconsentPolicyRegions
•[ConsentPolicyRegion!]!
non-null

List of countries and regions for which consent policies can be created or updated.

Anchor to currentAppInstallationcurrentAppInstallation
•AppInstallation!
non-null

Returns the AppInstallation for the currently authenticated app. Provides access to granted access scopes, active AppSubscription objects, and billing information for your app.

Use this query to check which permissions your app has, monitor subscription status, or retrieve AppCredit objects. Learn more about managing access scopes, subscription billing, and app credits.

•StaffMember

The staff member making the API request.

•Customer

Returns a Customer resource by ID.

Arguments

•ID!
required

The ID of the Customer to return.


•CustomerAccountPage

Returns a CustomerAccountPage resource by ID.

Arguments

•ID!
required

The ID of the CustomerAccountPage to return.


Anchor to customerAccountPagescustomerAccountPages
•CustomerAccountPageConnection

List of the shop's customer account pages.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


Anchor to customerByIdentifiercustomerByIdentifier
•Customer

Return a customer by an identifier.

Arguments

•CustomerIdentifierInput!
required

The identifier of the customer.


Anchor to customerMergeJobStatuscustomerMergeJobStatus
•CustomerMergeRequest

Returns the status of a customer merge request job.

Arguments

•ID!
required

The ID of the job performing the customer merge request.


Anchor to customerMergePreviewcustomerMergePreview
•CustomerMergePreview!
non-null

Returns a preview of a customer merge request.

Arguments

•ID!
required

The ID of the first customer that will be merged.

•ID!
required

The ID of the second customer that will be merged.

•CustomerMergeOverrideFields

The fields to override the default customer merge rules.


Anchor to customerPaymentMethodcustomerPaymentMethod
•CustomerPaymentMethod

Returns a CustomerPaymentMethod resource by its ID.

Arguments

•ID!
required

The ID of the CustomerPaymentMethod to return.

•Boolean
Default:false

Whether to show the customer's revoked payment method.


•CustomerConnection!
non-null

Returns a list of customers in your Shopify store, including key information such as name, email, location, and purchase history. Use this query to segment your audience, personalize marketing campaigns, or analyze customer behavior by applying filters based on location, order history, marketing preferences and tags. The customers query supports pagination and sorting.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CustomerSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to accepts_marketing
•boolean

Filter by whether a customer has consented to receive marketing material.

Example:

  • accepts_marketing:true
Anchor to country
•string

Filter by the country associated with the customer's address. Use either the country name or the two-letter country code.

Example:

  • country:Canada
  • country:JP
Anchor to customer_date
•time

Filter by the date and time when the customer record was created. This query parameter filters by the createdAt field.

Example:

  • customer_date:'2024-03-15T14:30:00Z'
  • customer_date: >='2024-01-01'
•string

The customer's email address, used to communicate information about orders and for the purposes of email marketing campaigns. You can use a wildcard value to filter the query by customers who have an email address specified. Please note that email is a tokenized field: To retrieve exact matches, quote the email address (phrase query) as described in Shopify API search syntax.

Example:

  • email:gmail.com
  • email:"bo.wang@example.com"
  • email:*
Anchor to first_name
•string

Filter by the customer's first name.

Example:

  • first_name:Jane
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to last_abandoned_order_date
•time

Filter by the date and time of the customer's most recent abandoned checkout. An abandoned checkout occurs when a customer adds items to their cart, begins the checkout process, but leaves the site without completing their purchase.

Example:

  • last_abandoned_order_date:'2024-04-01T10:00:00Z'
  • last_abandoned_order_date: >='2024-01-01'
Anchor to last_name
•string

Filter by the customer's last name.

Example:

  • last_name:Reeves
Anchor to order_date
•time

Filter by the date and time that the order was placed by the customer. Use this query filter to check if a customer has placed at least one order within a specified date range.

Example:

  • order_date:'2024-02-20T00:00:00Z'
  • order_date: >='2024-01-01'
  • order_date:'2024-01-01..2024-03-31'
Anchor to orders_count
•integer

Filter by the total number of orders a customer has placed.

Example:

  • orders_count:5
•string

The phone number of the customer, used to communicate information about orders and for the purposes of SMS marketing campaigns. You can use a wildcard value to filter the query by customers who have a phone number specified.

Example:

  • phone:+18005550100
  • phone:*
•string

Filter by the state of the customer's account with the shop. This filter is only valid when Classic Customer Accounts is active.

Example:

  • state:ENABLED
  • state:INVITED
  • state:DISABLED
  • state:DECLINED
•string

Filter by the tags that are associated with the customer. This query parameter accepts multiple tags separated by commas.

Example:

  • tag:'VIP'
  • tag:'Wholesale,Repeat'
Anchor to tag_not
•string

Filter by the tags that aren't associated with the customer. This query parameter accepts multiple tags separated by commas.

Example:

  • tag_not:'Prospect'
  • tag_not:'Test,Internal'
Anchor to total_spent
•float

Filter by the total amount of money a customer has spent across all orders.

Example:

  • total_spent:100.50
  • total_spent:50.00
  • total_spent:>100.50
  • total_spent:>50.00
Anchor to updated_at
•time

The date and time, matching a whole day, when the customer's information was last updated.

Example:

  • updated_at:2024-01-01T00:00:00Z
  • updated_at:<now
  • updated_at:<=2024

Anchor to customerSavedSearchescustomerSavedSearches
•SavedSearchConnection!
non-null

List of the shop's customer saved searches.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•CustomerSavedSearchSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string

•Count

The number of customers. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to created_at
•time
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to updated_at
•time
•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


Anchor to customerSegmentMemberscustomerSegmentMembers
•CustomerSegmentMemberConnection!
non-null

A paginated list of customers that belong to an individual Segment. Segments group customers based on criteria defined through ShopifyQL queries. Access segment members with their profile information and purchase summary data. The connection includes statistics for analyzing segment attributes (such as average and sum calculations) and a total count of all members. The maximum page size is 1000.

Arguments

•ID

The ID of the segment.

•String

The query that's used to filter the members. The query is composed of a combination of conditions on facts about customers such as email_subscription_status = 'SUBSCRIBED' with this syntax.

•ID

The ID of the segment members query.

•String

The timezone that's used to interpret relative date arguments. The timezone defaults to UTC if the timezone isn't provided.

•Boolean
Default:false

Reverse the order of the list. The sorting behaviour defaults to ascending order.

•String

Sort the list by a given key. Valid values: • created_at - Sort by customer creation date • first_order_date - Sort by the date of the customer's first order • last_abandoned_order_date - Sort by the date of the customer's last abandoned checkout • last_order_date - Sort by the date of the customer's most recent order • number_of_orders - Sort by the total number of orders placed by the customer • amount_spent - Sort by the total amount the customer has spent across all orders

Use with the reverse parameter to control sort direction (ascending by default, descending when reverse=true).

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.


Anchor to customerSegmentMembersCountcustomerSegmentMembersCount
•Count

Returns the total number of customers who match the criteria defined in a customer segment. This count provides real-time visibility into segment size for targeting and analysis purposes.

For example, check the size of a "High-Value Customers" segment before launching a VIP program.

The count reflects current segment membership based on the segment's filter criteria, updating as customer data changes and new customers meet or no longer meet the segment conditions.

Arguments

•ID

The ID of the segment.

•String

The query that's used to filter the members. The query is composed of a combination of conditions on facts about customers such as email_subscription_status = 'SUBSCRIBED' with this syntax.

•ID

The ID of the segment members query.


Anchor to customerSegmentMembershipcustomerSegmentMembership
•SegmentMembershipResponse!
non-null

Whether a member, which is a customer, belongs to a segment.

Arguments

•[ID!]!
required

The segments to evaluate for the given customer.

•ID!
required

The ID of the customer that has the membership.


Anchor to customerSegmentMembersQuerycustomerSegmentMembersQuery
•CustomerSegmentMembersQuery

Returns a CustomerSegmentMembersQuery resource by ID.

Arguments

•ID!
required

The ID of the CustomerSegmentMembersQuery to return.


Anchor to deliveryCustomizationdeliveryCustomization
•DeliveryCustomization

The delivery customization.

Arguments

•ID!
required

The ID of the delivery customization.


Anchor to deliveryCustomizationsdeliveryCustomizations
•DeliveryCustomizationConnection!
non-null

The delivery customizations.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to enabled
•boolean
Anchor to function_id
•string
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234

•DeliveryProfile

Retrieves a DeliveryProfile by ID. Delivery profiles group shipping settings for specific Product objects that ship from selected Location objects to [delivery zones](https://shopify.dev/docs/api/admin-graphql/latest/objects/DeliveryZone with defined rates.

Learn more about delivery profiles.

Arguments

•ID!
required

The ID of the DeliveryProfile to return.


•DeliveryProfileConnection!
non-null

Returns a paginated list of DeliveryProfile objects for the shop. Delivery profiles group Product and ProductVariant objects that share shipping rates and zones.

Each profile contains DeliveryLocationGroup objects that organize fulfillment Location objects and their associated delivery zones. DeliveryZone objects define geographic regions with specific shipping methods and rates. Use the merchantOwnedOnly filter to exclude profiles that third-party apps manage.

Learn more about delivery profiles.

Arguments

•Boolean

If true, returns only delivery profiles that were created by the merchant.

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•DeliveryProfileSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•boolean

Filter by the delivery profile default status.

Valid values:

  • true
  • false

Example:

  • default:true
Anchor to created_at
•time
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string
Anchor to updated_at
•time

Anchor to deliveryPromiseParticipantsdeliveryPromiseParticipants
•DeliveryPromiseParticipantConnection

Returns delivery promise participants.

Arguments

•[ID!]

The product variant ID to filter by.

Anchor to brandedPromiseHandlebrandedPromiseHandle
•String!
required

The branded promise handle to filter by.

•DeliveryPromiseParticipantOwnerType

The owner type to filter by.

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


Anchor to deliveryPromiseProviderdeliveryPromiseProvider
•DeliveryPromiseProvider

Lookup a delivery promise provider.

Arguments

•ID!
required

The ID of the location associated with the delivery promise provider.


Anchor to deliveryPromiseSettingsdeliveryPromiseSettings
•DeliveryPromiseSetting!
non-null

Represents the delivery promise settings for a shop.

Anchor to deliveryPromiseSkuSettingdeliveryPromiseSkuSetting
•DeliveryPromiseSkuSetting

A SKU setting for a delivery promise.

Arguments

•String!
required

The SKU to be associated with the setting.

Anchor to deliveryPromiseProviderIddeliveryPromiseProviderId
•ID!
required

The ID of the delivery promise provider.


•DeliverySetting

Returns the shop-wide shipping settings.

•Count

The total number of discount codes for the shop. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to times_used
•integer
•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


•DiscountNode

Returns a DiscountNode resource by ID.

Arguments

•ID!
required

The ID of the DiscountNode to return.


•DiscountNodeConnection!
non-null

Returns a list of discounts.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•DiscountSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•string

Filter by the discount code. Not supported for bulk discounts.

Example:

  • code:WELCOME10
Anchor to combines_with
•string

Filter by the Shopify Functions discount classes that the discount type can combine with.

Valid values:

  • order_discounts
  • product_discounts
  • shipping_discounts

Example:

  • combines_with:product_discounts
Anchor to created_at
•time

Filter by the date and time, in the shop's timezone, when the discount was created.

Example:

  • created_at:>'2020-10-21T23:39:20Z'
  • created_at:<now
  • created_at:<='2024'
Anchor to discount_class
•string

Filter by the discount class.

Valid values:

  • order
  • product
  • shipping

Example:

  • discount_class:product
Anchor to discount_type
•string

Filter by the discount type.

Valid values:

  • bogo
  • fixed_amount
  • free_shipping
  • percentage

Example:

  • type:fixed_amount
Anchor to ends_at
•time

Filter by the date and time, in the shop's timezone, when the discount ends.

Example:

  • ends_at:>'2020-10-21T23:39:20Z'
  • ends_at:<now
  • ends_at:<='2024'
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string

Filter by the discount method.

Valid values:

  • automatic
  • code

Example:

  • method:code
Anchor to starts_at
•time

Filter by the date and time, in the shop's timezone, when the discount becomes active and is available for customer use.

Example:

  • starts_at:>'2020-10-21T23:39:20Z'
  • starts_at:<now
  • starts_at:<='2024'
•string

Filter by the status of the discount.

Valid values:

  • active
  • expired
  • scheduled

Example:

  • status:scheduled
Anchor to times_used
•integer

Filter by the number of times the discount has been used. For example, if a "Buy 3, Get 1 Free" t-shirt discount is automatically applied in 200 transactions, then the discount has been used 200 times.

This value is updated asynchronously. As a result, it might be different than the actual usage count.

Example:

  • times_used:0
  • times_used:>150
  • times_used:>=200
•string

Filter by the discount name that displays to merchants in the Shopify admin and to customers.

Example:

  • title:Black Friday Sale
•string

Filter by the discount type.

Valid values:

  • all
  • all_with_app
  • app
  • bxgy
  • fixed_amount
  • free_shipping
  • percentage

Example:

  • type:percentage
Anchor to updated_at
•time

Filter by the date and time, in the shop's timezone, when the discount was last updated.

Example:

  • updated_at:>'2020-10-21T23:39:20Z'
  • updated_at:<now
  • updated_at:<='2024'
•ID

The ID of a saved search. The search’s query string is used as the query argument.


•Count

The total number of discounts for the shop. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•string

Filter by the discount code. Not supported for bulk discounts.

Example:

  • code:WELCOME10
Anchor to combines_with
•string

Filter by the Shopify Functions discount classes that the discount type can combine with.

Valid values:

  • order_discounts
  • product_discounts
  • shipping_discounts

Example:

  • combines_with:product_discounts
Anchor to created_at
•time

Filter by the date and time, in the shop's timezone, when the discount was created.

Example:

  • created_at:>'2020-10-21T23:39:20Z'
  • created_at:<now
  • created_at:<='2024'
Anchor to discount_class
•string

Filter by the discount class.

Valid values:

  • order
  • product
  • shipping

Example:

  • discount_class:product
Anchor to discount_type
•string

Filter by the discount type.

Valid values:

  • bogo
  • fixed_amount
  • free_shipping
  • percentage

Example:

  • type:fixed_amount
Anchor to ends_at
•time

Filter by the date and time, in the shop's timezone, when the discount ends.

Example:

  • ends_at:>'2020-10-21T23:39:20Z'
  • ends_at:<now
  • ends_at:<='2024'
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string

Filter by the discount method.

Valid values:

  • automatic
  • code

Example:

  • method:code
Anchor to starts_at
•time

Filter by the date and time, in the shop's timezone, when the discount becomes active and is available for customer use.

Example:

  • starts_at:>'2020-10-21T23:39:20Z'
  • starts_at:<now
  • starts_at:<='2024'
•string

Filter by the status of the discount.

Valid values:

  • active
  • expired
  • scheduled

Example:

  • status:scheduled
Anchor to times_used
•integer

Filter by the number of times the discount has been used. For example, if a "Buy 3, Get 1 Free" t-shirt discount is automatically applied in 200 transactions, then the discount has been used 200 times.

This value is updated asynchronously. As a result, it might be different than the actual usage count.

Example:

  • times_used:0
  • times_used:>150
  • times_used:>=200
•string

Filter by the discount name that displays to merchants in the Shopify admin and to customers.

Example:

  • title:Black Friday Sale
•string

Filter by the discount type.

Valid values:

  • all
  • all_with_app
  • app
  • bxgy
  • fixed_amount
  • free_shipping
  • percentage

Example:

  • type:percentage
Anchor to updated_at
•time

Filter by the date and time, in the shop's timezone, when the discount was last updated.

Example:

  • updated_at:>'2020-10-21T23:39:20Z'
  • updated_at:<now
  • updated_at:<='2024'
•ID

The ID of an existing saved search. The search’s query string is used as the query argument. Refer to the SavedSearch object.

•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


Anchor to discountRedeemCodeBulkCreationdiscountRedeemCodeBulkCreation
•DiscountRedeemCodeBulkCreation

Returns a DiscountRedeemCodeBulkCreation resource by ID.

Arguments

•ID!
required

The ID of the DiscountRedeemCodeBulkCreation to return.


Anchor to discountRedeemCodeSavedSearchesdiscountRedeemCodeSavedSearches
•SavedSearchConnection!
non-null

List of the shop's redeemed discount code saved searches.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•DiscountCodeSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to times_used
•integer

Anchor to discountResourceFeedbackdiscountResourceFeedback
•DiscountResourceFeedback

Returns the discount resource feedback for the currently authenticated app.

Arguments

•ID!
required

The discount associated with the resource feedback.


•ShopifyPaymentsDispute

Returns a ShopifyPaymentsDispute resource by ID.

Arguments

•ID!
required

The ID of the ShopifyPaymentsDispute to return.


•ShopifyPaymentsDisputeEvidence

Returns a ShopifyPaymentsDisputeEvidence resource by ID.

Arguments

•ID!
required

The ID of the ShopifyPaymentsDisputeEvidence to return.


•ShopifyPaymentsDisputeConnection!
non-null

All disputes related to the Shop.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to initiated_at
•time
•string

•Domain

Returns a Domain resource by ID.

Arguments

•ID!
required

The ID of the Domain to return.


•DraftOrder

Retrieves a draft order by its ID. A draft order is an order created by a merchant on behalf of their customers. Draft orders contain all necessary order details (products, pricing, customer information) but require payment to be accepted before they can be converted into completed orders.

Use the draftOrder query to retrieve information associated with the following workflows:

  • Creating orders for phone, in-person, or chat sales
  • Sending invoices to customers with secure checkout links
  • Managing custom items and additional costs
  • Selling products at discount or wholesale rates
  • Processing pre-orders and saving drafts for later completion

A draft order is associated with a customer and contains multiple line items. Each draft order has a status, which indicates its progress through the sales workflow.

Arguments

•ID!
required

The ID of the DraftOrder to return.


Anchor to draftOrderAvailableDeliveryOptionsdraftOrderAvailableDeliveryOptions
•DraftOrderAvailableDeliveryOptions!
non-null

Available delivery options for a DraftOrder based on the provided input. The query returns shipping rates, local delivery rates, and pickup locations that merchants can choose from when creating draft orders.

Accepts draft order details including LineItem objects, MailingAddress for shipping, and discounts to determine which delivery methods are available. Pagination parameters control the number of local pickup options returned.

Arguments

•DraftOrderAvailableDeliveryOptionsInput!
required

The fields for the draft order.

•String

The search term for the delivery options.

•Int

The offset for the local pickup options.

•Int

The number of local pickup options required.

•String

Unique token used to trace execution and help optimize the calculation.


•DraftOrderConnection!
non-null

List of saved draft orders.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•DraftOrderSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time
Anchor to customer_id
•id
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string
•string
•string
Anchor to updated_at
•time
•ID

The ID of a saved search. The search’s query string is used as the query argument.


Anchor to draftOrderSavedSearchesdraftOrderSavedSearches
•SavedSearchConnection!
non-null

List of the shop's draft order saved searches.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•Count

Returns the number of draft orders that match the query. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time
Anchor to customer_id
•id
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string
•string
•string
•string
Anchor to updated_at
•time
•ID

The ID of an existing saved search. The search’s query string is used as the query argument. Refer to the SavedSearch object.

•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


•DraftOrderTag

Returns a DraftOrderTag resource by ID.

Arguments

•ID!
required

The ID of the DraftOrderTag to return.


•Event

Retrieves a single event by ID. Events chronicle activities in your store such as resource creation, updates, or staff comments. The query returns an Event interface of type BasicEvent or CommentEvent.

Arguments

•ID!
required

The ID of the event.


•EventConnection

A paginated list of events that chronicle activities in the store. Event is an interface implemented by types such as BasicEvent and CommentEvent that track actions such as creating Article objects, fulfilling Order objects, adding Product objects, or staff comments on timelines.

The query supports filtering and sorting to help you find specific events or audit store activity over time.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•EventSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

•string

The action that occured.

Example:

  • action:create
Anchor to comments
•boolean

Whether or not to include comment-events in your search, passing false will exclude comment-events, any other value will include comment-events.

Example:

  • false
  • true
Anchor to created_at
•time

Filter by the date and time when the event happened.

Example:

  • created_at:>2020-10-21
  • created_at:<now
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to subject_type
•string

The resource type affected by this event. See EventSubjectType for possible values.

Example:

  • PRODUCT_VARIANT
  • PRODUCT
  • COLLECTION

•Count

Count of events. Limited to a maximum of 10000.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

•string

The action that occured.

Example:

  • action:create
Anchor to comments
•boolean

Whether or not to include comment-events in your search, passing false will exclude comment-events, any other value will include comment-events.

Example:

  • false
  • true
Anchor to created_at
•time

Filter by the date and time when the event happened.

Example:

  • created_at:>2020-10-21
  • created_at:<now
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to subject_type
•string

The resource type affected by this event. See EventSubjectType for possible values.

Example:

  • PRODUCT_VARIANT
  • PRODUCT
  • COLLECTION

•FileConnection!
non-null

Retrieves a paginated list of files that have been uploaded to a Shopify store. Files represent digital assets that merchants can upload to their store for various purposes including product images, marketing materials, documents, and brand assets.

Use the files query to retrieve information associated with the following workflows:

Files can include multiple content types, such as images, videos, 3D models, and generic files. Each file has properties like dimensions, file size, alt text for accessibility, and upload status. Files can be filtered by media type and can be associated with products, themes, and other store resources.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•FileSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time
Anchor to filename
•string
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string
Anchor to media_type
•string
Anchor to original_upload_size
•float
Anchor to product_id
•string
•string
Anchor to updated_at
•time
Anchor to used_in
•string
•ID

The ID of a saved search. The search’s query string is used as the query argument.


•SavedSearchConnection!
non-null

A list of the shop's file saved searches.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


Anchor to financeAppAccessPolicyfinanceAppAccessPolicy
•FinanceAppAccessPolicy!
non-null

Returns the access policy for a finance app .

Anchor to financeKycInformationfinanceKycInformation
•FinanceKycInformation

Returns the KYC information for the shop's Shopify Payments account, used in embedded finance apps.

•Fulfillment

Retrieves a Fulfillment by its ID. A fulfillment is a record that the merchant has completed their work required for one or more line items in an Order. It includes tracking information, LineItem objects, and the status of the fulfillment.

Use this query to track the progress of shipped items, view tracking details, or check fulfillment events for example when a package is out for delivery or delivered.

Arguments

•ID!
required

The ID of the Fulfillment to return.


Anchor to fulfillmentConstraintRulesfulfillmentConstraintRules
•[FulfillmentConstraintRule!]!
non-null

The fulfillment constraint rules that belong to a shop.

•FulfillmentOrder

Returns a FulfillmentOrder resource by ID.

Arguments

•ID!
required

The ID of the FulfillmentOrder to return.


•FulfillmentOrderConnection!
non-null

The paginated list of all fulfillment orders. The returned fulfillment orders are filtered according to the fulfillment order access scopes granted to the app.

Use this query to retrieve fulfillment orders assigned to merchant-managed locations, third-party fulfillment service locations, or all kinds of locations together.

For fetching only the fulfillment orders assigned to the app's locations, use the assignedFulfillmentOrders connection.

Arguments

•Boolean
Default:false

Whether to include closed fulfillment orders.

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•FulfillmentOrderSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to assigned_location_id
•id
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string
Anchor to updated_at
•time

•FulfillmentService

Returns a FulfillmentService by its ID. The service can manage inventory, process fulfillment requests, and provide tracking details through callback endpoints or directly calling Shopify's APIs.

When you register a fulfillment service, Shopify automatically creates an associated Location where fulfillment order's can be assigned to be processed.

Learn more about building fulfillment service apps.

Arguments

•ID!
required

The ID of the FulfillmentService to return.


•GiftCard

Retrieves a GiftCard by its ID. Returns the gift card's balance, transaction history, Customer information, and whether it's enabled.

Additional fields include the initial value, expiration date, deactivation timestamp (if applicable), and the associated Order if the gift card was purchased by a customer through checkout. Gift cards that merchants create manually won't have an associated order.

Arguments

•ID!
required

The ID of the GiftCard to return.


Anchor to giftCardConfigurationgiftCardConfiguration
•GiftCardConfiguration!
non-null

The configuration for the shop's gift cards.

•GiftCardConnection!
non-null

Returns a paginated list of GiftCard objects issued for the shop.

You can filter gift cards by attributes such as status, last characters of the code, balance status, and other values using the query parameter. You can also apply SavedSearch objects to filter results.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•GiftCardSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document, including gift card codes.

Example:

  • query=a5bh6h64b329j4k7
  • query=Bob Norman
Anchor to balance_status
•string

Valid values:

  • full
  • partial
  • empty
  • full_or_partial

Example:

  • balance_status:full
Anchor to created_at
•time

Example:

  • created_at:>=2020-01-01T12:00:00Z
Anchor to expires_on
•date

Example:

  • expires_on:>=2020-01-01
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to initial_value
•string

Example:

  • initial_value:>=100
•string

Valid values:

  • manual
  • purchased
  • api_client

Example:

  • source:manual
•string

Valid values:

  • disabled
  • enabled
  • expired
  • expiring

Example:

  • status:disabled OR status:expired
•ID

The ID of a saved search. The search’s query string is used as the query argument.


•Count

The total number of gift cards issued for the shop. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document, including gift card codes.

Example:

  • query=a5bh6h64b329j4k7
  • query=Bob Norman
Anchor to balance_status
•string

Valid values:

  • full
  • partial
  • empty
  • full_or_partial

Example:

  • balance_status:full
Anchor to created_at
•time

Example:

  • created_at:>=2020-01-01T12:00:00Z
Anchor to expires_on
•date

Example:

  • expires_on:>=2020-01-01
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to initial_value
•string

Example:

  • initial_value:>=100
•string

Valid values:

  • manual
  • purchased
  • api_client

Example:

  • source:manual
•string

Valid values:

  • disabled
  • enabled
  • expired
  • expiring

Example:

  • status:disabled OR status:expired
•ID

The ID of an existing saved search. The search’s query string is used as the query argument. Refer to the SavedSearch object.

•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


•InventoryItem

Returns an InventoryItem object by ID.

Arguments

•ID!
required

The ID of the InventoryItem to return.


•InventoryItemConnection!
non-null

Returns a list of inventory items.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to created_at
•time
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•string

Filter by the inventory item sku field. Learn more about SKUs.

Example:

  • sku:XYZ-12345
Anchor to updated_at
•time

•InventoryLevel

Returns an InventoryLevel object by ID.

Arguments

•ID!
required

The ID of the InventoryLevel to return.


•InventoryProperties!
non-null

Returns the shop's inventory configuration, including all inventory quantity names. Quantity names represent different inventory states that merchants use to track inventory.

•InventoryShipment

Retrieves an InventoryShipment by ID. Returns tracking details, InventoryShipmentLineItem objects with quantities, and the shipment's current InventoryShipmentStatus.

Arguments

•ID!
required

The ID of the inventory shipment.


•InventoryTransfer

Returns an InventoryTransfer by ID. Inventory transfers track the movement of inventory between locations, including origin and destination details, InventoryTransferLineItem objects, quantities, and InventoryTransferStatus values.

Arguments

•ID!
required

The ID of the inventory transfer.


•InventoryTransferConnection!
non-null

Returns a paginated list of InventoryTransfer objects between locations. Transfers track the movement of InventoryItem objects between Location objects.

Supports filtering transfers using query parameters and sorting by various criteria. Use the connection's edges to access transfer details including InventoryTransferLineItem objects, quantities, and shipment status.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•TransferSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
Anchor to created_at
•time
Anchor to destination_id
•id
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to origin_id
•id
Anchor to product_id
•id
Anchor to product_variant_id
•id
Anchor to source_id
•id
•string
•string

Filter objects by the tag field.

Example:

  • tag:my_tag
Anchor to tag_not
•string

Filter by objects that don’t have the specified tag.

Example:

  • tag_not:my_tag
•ID

The ID of a saved search. The search’s query string is used as the query argument.


•Job

Returns a Job resource by ID. Used to check the status of internal jobs and any applicable changes.

Arguments

•ID!
required

ID of the job to query.


•Location

Retrieves a Location by its ID. Locations are physical places where merchants store inventory, such as warehouses, retail stores, or fulfillment centers.

Each location tracks inventory levels, fulfillment capabilities, and address information. Active locations can stock products and fulfill orders based on their configuration settings.

Arguments

•ID

The ID of the location to return. If no ID is provided, the primary location of the Shop is returned.


Anchor to locationByIdentifierlocationByIdentifier
•Location

Return a location by an identifier.

Arguments

•LocationIdentifierInput!
required

The identifier of the location.


•LocationConnection!
non-null

A paginated list of inventory locations where merchants can stock Product items and fulfill Order items.

Returns only active locations by default. Use the includeInactive argument to retrieve deactivated locations that can no longer stock inventory or fulfill orders. Use the includeLegacy argument to include locations that FulfillmentService apps manage. Use the query argument to filter by location attributes like name, address, and whether local pickup is enabled.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•LocationSortKeys
Default:NAME

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•string
Anchor to address1
•string
Anchor to address2
•string
•string
Anchor to country
•string
Anchor to created_at
•time
Anchor to geolocated
•boolean
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•boolean
Anchor to location_id
•id
•string
Anchor to pickup_in_store
•string

Valid values:

  • enabled
  • disabled
Anchor to province
•string
•string
•Boolean
Default:false

Whether to include the legacy locations of fulfillment services.

•Boolean
Default:false

Whether to include the locations that are deactivated.


Anchor to locationsAvailableForDeliveryProfilesConnectionlocationsAvailableForDeliveryProfilesConnection
•LocationConnection!
non-null

Returns a list of all origin locations available for a delivery profile.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•Count

Returns the count of locations for the given shop. Limited to a maximum of 10000 by default.

Arguments

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•string
Anchor to address1
•string
Anchor to address2
•string
•string
Anchor to country
•string
Anchor to created_at
•time
Anchor to geolocated
•boolean
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
•boolean
Anchor to location_id
•id
•string
Anchor to pickup_in_store
•string

Valid values:

  • enabled
  • disabled
Anchor to province
•string
•string
•Int
Default:10000

The upper bound on count value before returning a result. Use null to have no limit.


Anchor to manualHoldsFulfillmentOrdersmanualHoldsFulfillmentOrders
•FulfillmentOrderConnection!
non-null

Returns a list of fulfillment orders that are on hold.

Arguments

•String

The query conditions used to filter fulfillment orders. Only fulfillment orders corresponding to orders matching the query will be counted. Supported filter parameters:

  • order_financial_status
  • order_risk_level
  • shipping_address_coordinates_validated

See the detailed search syntax for more information about using filters.

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.


•Market

Returns a Market resource by ID.

Arguments

•ID!
required

The ID of the Market to return.


•MarketingActivityConnection!
non-null

A list of marketing activities associated with the marketing app.

Arguments

Anchor to marketingActivityIdsmarketingActivityIds
•[ID!]
Default:[]

The list of marketing activity IDs to filter by.

•[String!]
Default:[]

The list of remote IDs associated with marketing activities to filter by.

•UTMInput

The UTM parameters associated with marketing activities to filter by.

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•MarketingActivitySortKeys
Default:CREATED_AT

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document.

Example:

  • query=Bob Norman
  • query=title:green hoodie
•id
Anchor to app_name
•string

A comma-separated list of app names.

Anchor to created_at
•time
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to marketing_campaign_id
•id
Anchor to scheduled_to_end_at
•time
Anchor to scheduled_to_start_at
•time
•string
•string
Anchor to updated_at
•time
•ID

The ID of a saved search. The search’s query string is used as the query argument.


•MarketingActivity

Returns a MarketingActivity resource by ID.

Arguments

•ID!
required

The ID of the MarketingActivity to return.


•MarketingEvent

Returns a MarketingEvent resource by ID.

Arguments

•ID!
required

The ID of the MarketingEvent to return.


•MarketingEventConnection!
non-null

A list of marketing events associated with the marketing app.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•MarketingEventSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

•id
Anchor to description
•string
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to started_at
•time
•string

Anchor to marketLocalizableResourcemarketLocalizableResource
•MarketLocalizableResource

A resource that can have localized values for different markets.

Arguments

•ID!
required

Find a market localizable resource by ID.


Anchor to marketLocalizableResourcesmarketLocalizableResources
•MarketLocalizableResourceConnection!
non-null

Resources that can have localized values for different markets.

Arguments

•MarketLocalizableResourceType!
required

Return only resources of a type.

[...]
